summaryrefslogtreecommitdiff
path: root/etc
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2018-03-05 23:38:22 -0700
committerLuke Smith <luke@lukesmith.xyz>2018-03-05 23:38:22 -0700
commit3049b27fa5c7874db802b8fbdf2e016abe87fd9e (patch)
tree41eed02e8322d0a5578ae0c342b6ab3a293f9c2f /etc
parent580cc963cb2fe1a76d0ce4da2e2c974e0a13dea9 (diff)
notify system added
Diffstat (limited to 'etc')
-rwxr-xr-xetc/mailsync.sh23
-rw-r--r--etc/notify.opusbin0 -> 28900 bytes
2 files changed, 23 insertions, 0 deletions
diff --git a/etc/mailsync.sh b/etc/mailsync.sh
new file mode 100755
index 0000000..14b165e
--- /dev/null
+++ b/etc/mailsync.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+# This script will run offlineimap and check
+# for new email if there is an internet connection.
+#
+# If it detects new mail, it uses mpv to play a
+# notification sound: notify.opus
+#
+# I have this run as a cronjob every 5 minutes.
+
+# Check for internet connection. Exit script if none.
+ping -q -w 1 -c 1 `ip r | grep default | cut -d ' ' -f 3` >/dev/null || exit
+
+# Get current number of new mail, then begin sync.
+ori=$(find ~/.mail -wholename '*/new/*' | grep /new/ | grep -vi "spam\|trash\|junk" | wc -l)
+offlineimap -o
+
+# Output new new mail count.
+new=$(find ~/.mail -wholename '*/new/*' | grep /new/ | grep -vi "spam\|trash\|junk" | wc -l)
+
+# If new mail has grown, play a notification.
+if [ "$new" -gt "$ori" ]; then
+ mpv --quiet ~/.config/mutt/etc/notify.opus
+fi
diff --git a/etc/notify.opus b/etc/notify.opus
new file mode 100644
index 0000000..a76ce32
--- /dev/null
+++ b/etc/notify.opus
Binary files differ